{{ define "stylesheet" }}
{{ $background_img := resources.Get .Page.Params.Header }}
<style>
    body {
      display: flex;
      flex-direction: column;
      min-height: 100vh;
    }

    #right-with-bg {
        text-align: center;
        width: 100vw;
        background-image: url("{{ $background_img.RelPermalink }}");
        background-size: cover;
        background-position: center;
        background-attachment: scroll;
    }
    @media (min-width: 992px) {
        #right-with-bg {
            text-align: left;
            width: auto;
            background-attachment: fixed;
        }

        #right-with-bg > h1 {
            width: 50%;
        }
    }

</style>
{{ end }}

{{ define "main" }}
<script src="/_pagefind/pagefind-ui.js" type="text/javascript"></script>
<div class="container-fluid g-0" style="flex: 1;">
    <div class="row g-0">
        <div class="col-lg-4">
            <div class="sticky-lg-top p-3">
              <link href="/_pagefind/pagefind-ui.css" rel="stylesheet">
              <script src="/_pagefind/pagefind-ui.js" type="text/javascript"></script>

              <div id="search" class="pt-m-5"></div>
              <script>
                  window.addEventListener('DOMContentLoaded', (event) => {
                      new PagefindUI({ 
                        element: "#search",  
                        translations: {
                            placeholder: "{{ .Site.Params.SearchPlaceholder }}",
                            zero_results: "{{ .Site.Params.SearchNoResults }}"
                        }
                      })
                  });
              </script>
            </div>
        </div>
        <div class="col-lg-8">
            <div id="right-with-bg" class="p-5 d-flex justify-content-center justify-content-lg-start align-items-center align-items-lg-end">
                <h1 style="color: white; text-shadow: 0px 0px 3px black;">{{ .Site.Title }}</h1>
            </div>
            <div class="container-fluid p-5">
              <main>
                <p>{{ .Content }}</p>
              </main>
            </div>
        </div>
    </div>
</div>
{{ end }}
